com.sun.jna.platform.win32.COM.util

## Class EnumMoniker

- java.lang.Object
- - com.sun.jna.platform.win32.COM.util.EnumMoniker

All Implemented Interfaces:
  java.lang.Iterable<IDispatch>

    public class EnumMoniker
    extends java.lang.Object
    implements java.lang.Iterable<IDispatch>

Enumerates the components of a moniker or the monikers in a table of monikers.

See Also:
  MSDN

### Field Summary

Fields
`(package private) ObjectFactory` `factory`
`(package private) IEnumMoniker` `raw`
`(package private) Moniker` `rawNext`
`(package private) IRunningObjectTable` `rawRot`

### Constructor Summary

Constructors
`protected` `EnumMoniker(IEnumMoniker raw, IRunningObjectTable rawRot, ObjectFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `cacheNext()`
`java.util.Iterator<IDispatch>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Field Detail

#### factory

    ObjectFactory factory

#### rawRot

    IRunningObjectTable rawRot

#### raw

    IEnumMoniker raw

#### rawNext

    Moniker rawNext

### Constructor Detail

#### EnumMoniker

    protected EnumMoniker(IEnumMoniker raw,
                          IRunningObjectTable rawRot,
                          ObjectFactory factory)

### Method Detail

#### cacheNext

    protected void cacheNext()

#### iterator

    public java.util.Iterator<IDispatch> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<IDispatch>`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.